### Function

# WebKit Credential new_for_certificate

since: 2.34

#### Declaration [src]

    WebKitCredential*
    webkit_credential_new_for_certificate (
      GTlsCertificate* certificate,
      WebKitCredentialPersistence persistence
    )

#### Description [src]

Create a new credential from the `certificate` and persistence mode.

Note that `WEBKIT_CREDENTIAL_PERSISTENCE_PERMANENT` is not supported for certificate credentials.

Available since: 2.34

#### Parameters

`certificate`

  Type: `GTlsCertificate`

  The `GTlsCertificate`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`persistence`

  Type: `WebKitCredentialPersistence`

  The `WebKitCredentialPersistence` of the new credential.

#### Return value

Type: `WebKitCredential`

A `WebKitCredential`.

The caller of the function takes ownership of the data, and is responsible for freeing it.